<!DOCTYPE html
  PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
  "DTD/xhtml1-strict.dtd">
<html>
  <head>
    <title>API docs for &ldquo;kiwi.ui.views&rdquo;</title>
    <meta content="text/html;charset=utf-8" http-equiv="Content-Type" />
    <link href="apidocs.css" type="text/css" rel="stylesheet" />
    
    
  </head>
  <body>
    <h1 class="module">Module k.u.views</h1>
    <p>
      <span id="part">Part of <a href="kiwi.html">kiwi</a>.<a href="kiwi.ui.html">ui</a></span>
      
      
    </p>
    <div>
      
    </div>
    <div>Defines the View classes that are included in the Kiwi Framework, which 
are the base of Delegates and Proxies.
<table class="fieldTable"></table></div>
    
    
    <div id="splitTables">
      <table class="children sortable" id="id223">
  
  
  
  
  <tr class="class">
    
    
    <td>Class</td>
    <td><a href="kiwi.ui.views.SignalBroker.html">SignalBroker</a></td>
    <td><span class="undocumented">No class docstring; 2/6 methods documented</span></td>
  </tr><tr class="class">
    
    
    <td>Class</td>
    <td><a href="kiwi.ui.views.GladeSignalBroker.html">GladeSignalBroker</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="class">
    
    
    <td>Class</td>
    <td><a href="kiwi.ui.views.SlaveView.html">SlaveView</a></td>
    <td><span>Base class for all View classes. Defines the essential class
</span></td>
  </tr><tr class="class">
    
    
    <td>Class</td>
    <td><a href="kiwi.ui.views.BaseView.html">BaseView</a></td>
    <td><span>A view with a toplevel window.
</span></td>
  </tr><tr class="function">
    
    
    <td>Function</td>
    <td><a href="kiwi.ui.views.html#_get_gazpacho">_get_gazpacho</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="function">
    
    
    <td>Function</td>
    <td><a href="kiwi.ui.views.html#_get_libglade">_get_libglade</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="function">
    
    
    <td>Function</td>
    <td><a href="kiwi.ui.views.html#_get_gaxml">_get_gaxml</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="function">
    
    
    <td>Function</td>
    <td><a href="kiwi.ui.views.html#_open_glade">_open_glade</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr>
  
</table>
      
      
    </div>
    
    
    
    <div class="function">
        <a name="kiwi.ui.views._get_gazpacho"></a>
        <a name="_get_gazpacho"></a>
        <div class="functionHeader">
        
        def _get_gazpacho():
        
      </div>
        <div class="functionBody">
          
          <div class="undocumented">Undocumented</div>
        </div>
      </div><div class="function">
        <a name="kiwi.ui.views._get_libglade"></a>
        <a name="_get_libglade"></a>
        <div class="functionHeader">
        
        def _get_libglade():
        
      </div>
        <div class="functionBody">
          
          <div class="undocumented">Undocumented</div>
        </div>
      </div><div class="function">
        <a name="kiwi.ui.views._get_gaxml"></a>
        <a name="_get_gaxml"></a>
        <div class="functionHeader">
        
        def _get_gaxml():
        
      </div>
        <div class="functionBody">
          
          <div class="undocumented">Undocumented</div>
        </div>
      </div><div class="function">
        <a name="kiwi.ui.views._open_glade"></a>
        <a name="_open_glade"></a>
        <div class="functionHeader">
        
        def _open_glade(view, gladefile, domain):
        
      </div>
        <div class="functionBody">
          
          <div class="undocumented">Undocumented</div>
        </div>
      </div>
    
    <address>
      <a href="index.html">API Documentation</a> for Kiwi, generated by <a href="http://codespeak.net/~mwh/pydoctor/">pydoctor</a> at 2008-05-29 16:06:17.
    </address>
  </body>
</html>